Arch Floor/tr: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
{{docnav|[[Arch_Rebar|Rebar]]|[[Arch_BuildingPart|Building Part]]|[[Arch_Module|Arch]]}}
{{docnav|[[Arch_Rebar|Rebar]]|[[Arch_BuildingPart|Building Part]]|[[Arch_Module|Arch]]|IconL=Arch_Rebar.svg |IconC=Workbench_Arch.svg |IconR=Arch_BuildingPart.svg}}

{{GuiCommand
{{GuiCommand
|Name=Arch Floor
|Name=Arch Floor
Line 56: Line 57:
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()
}}
}}
{{docnav|[[Arch_Rebar|Rebar]]|[[Arch_BuildingPart|Building Part]]|[[Arch_Module|Arch]]}}
{{docnav|[[Arch_Rebar|Rebar]]|[[Arch_BuildingPart|Building Part]]|[[Arch_Module|Arch]]|IconL=Arch_Rebar.svg |IconC=Workbench_Arch.svg |IconR=Arch_BuildingPart.svg}}
{{Arch Tools navi}}
{{Arch Tools navi}}
{{Userdocnavi}}
{{Userdocnavi}}

Revision as of 16:36, 9 February 2019

Arch Floor

Menu location
Arch → Floor
Workbenches
Arch
Default shortcut
F L
Introduced in version
-
See also
Arch Building, Arch BuildingPart

Description

The Arch Floor is a special type of FreeCAD group object that has a couple of additional properties particularly suited for building floors. Particularly, they have a height property, that its children objects (walls and structures) can use to set their own height automatically. They are mostly used to organize your model.

How to use

  1. Optionally, select one or more objects to be included in your new floor.
  2. Press the Arch Floor button or press the F then L keys.

Options

  • After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the Arch Add tool.
  • You can remove objects from a floor by drag and dropping them out of it the Tree View or by using the Arch Remove tool.

Properties

  • VeriHeight: The height of the floor, to be used by its child objects

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Floor tool can be used in macros and from the Python console by using the following function:

Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
  • Creates a Floor object from objectslist, which is a list of objects.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Floor = Arch.makeFloor([Wall1, Wall2])

Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()